# class Event

###

Module | kparts
Namespace | KParts
Class | Event
Inherits | QEvent

Base class for all KParts events.

### methods

- Event (eventName)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  eventName | char |

- eventName ( )

  returns char

- test (event)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  event | QEvent |

- test (event, name)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  event | QEvent |
  name | char |